Subject: Re: [PATCH 3/3]: tg3: Manage TX backlog in-driver.

From: Bill Fink <[email-masked]>
Date: Fri, 20 Jun 2008 15:41:24 -0400

On Fri, 20 Jun 2008, David Miller wrote:

> From: Bill Fink <[email-masked]>
> Date: Fri, 20 Jun 2008 14:52:33 -0400
> 
> > I have a general question about this new tx queueing model, which
> > I haven't seen discussed to this point.
> > 
> > Although hopefully not frequent events, if the tx queue is kept in
> > the driver rather than the network midlayer, what are the ramifications
> > of a routing change which requires changing the output to a new interface,
> > considering for example that on our 10-GigE interfaces we typically set
> > txqueuelen to 10000.
> 
> All of the packets would have been in the existing mid-layer generic
> backlog anyways, way past the routing decisions.  Nothing about
> behavior in this area would be changing.

Great.  I wasn't aware the mid-layer generic backlog was after the
routing decisions.  Thanks for educating me (and others).  I learn
new things about the Linux network stack all the time, plus it's
always changing, so can be a challenge to keep up with it if you're
not a full-time developer.

> > Similarly, what are the ramifications of such a change to the bonding
> > driver (either in a load balancing or active/backup scenario) when one
> > of the interfaces fails (again hopefully a rare event).
> 
> Since the bonding driver acts like a pass-thru, and because of the
> above, I expect no real ramifications in this area as well.

Also good to know.

						-Thanks

						-Bill